### Constructor

# WebKitWebProcessExtension ScriptWorld new_with_name

since: 2.22

#### Declaration [src]

    WebKitScriptWorld*
    webkit_script_world_new_with_name (
      const char* name
    )

#### Description [src]

Creates a new isolated `WebKitScriptWorld` with a name. Scripts executed in isolated worlds have access to the DOM but not to other variable or functions created by the page. You can get the JavaScript execution context of a `WebKitScriptWorld` for a given `WebKitFrame` with webkit_frame_get_javascript_context_for_script_world().

Available since: 2.22

#### Parameters

`name`

  Type: `const char*`

  A name for the script world.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitScriptWorld`

A new isolated `WebKitScriptWorld`.

The caller of the function takes ownership of the data, and is responsible for freeing it.